Does Jaspersoft studio professional Support Mongodb 3.0 ?

1

I updated mongodb from version 2.4 to 3.0, jaspersoft returns authentication error as below, the same authetication working before upgrade. Does Jaspersoft support mongo 3.0? How to make it work? Any help would be appreciated.

net.sf.jasperreports.engine.JRException: not authorized for query on models.system.namespaces
at com.jaspersoft.mongodb.connection.MongoDbConnection.setDatabase(MongoDbConnection.java:96)
at com.jaspersoft.mongodb.connection.MongoDbConnection.<init>(MongoDbConnection.java:64)
at com.jaspersoft.mongodb.adapter.MongoDbDataAdapterService.createConnection(MongoDbDataAdapterService.java:70)
at com.jaspersoft.mongodb.adapter.MongoDbDataAdapterService.test(MongoDbDataAdapterService.java:91)
at com.jaspersoft.studio.data.wizard.AbstractDataAdapterWizard$3.run(AbstractDataAdapterWizard.java:164)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)
 
ying_1's picture
7
Joined: May 4 2015 - 10:53am
Last seen: 4 years 6 months ago

I have the same problem if anyone has an answer.

me_1 - 4 years 6 months ago

Did you get any solution? 

nazaf - 3 years 10 months ago

0 Answers:

No answers yet
Feedback